#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xED,0x29,0xC3,0x50,0xD6,0xA5,0x2C,0x84,0x8D,0x55,0x02,0x13,
		0xA9,0x1C,0xAD,0xC1,0xCF,0x2E,0x46,0xCA,0x0E,0x94,0x5E,0xC1,
		0x25,0x18,0x36,0xBF,0xF8,0xB1,0xC5,0xFE,0x17,0x9B,0x1B,0x1A,
		0xD8,0x22,0xC8,0x1D,0x43,0xFC,0x6A,0x92,0x12,0x2E,0x0C,0xBD,
		0x1B,0x1D,0x0E,0xD0,0x96,0x0B,0x6F,0xD8,0x4D,0xE2,0x1D,0xD2,
		0x3C,0xFE,0xF5,0x33,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
